Get Team Folders in a Team

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of all team folders in a team.

Endpoints

OAuth Scope

WorkDrive.teamfolders.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/teamfolders \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Optional)

To filter by teamfolder type.

Eg. filter[type]=userjoinedws

For a list of filter types, see Team folder filter in the Filters page. Refer here

page[limit]string(Optional)

Limit indicates the number of items to be listed.

For More Details about pagination, refer here

page[offset]string(Optional)

Offset indicates from where the listing should start.

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": [
      {
        "id": "ly9zmacc69de0061b47ad9f09060734858fc4",
        "type": "teamfolders",
        "attributes": {
          "is_app_owned": false,
          "is_public_within_team": true,
          "is_pinned": true,
          "view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "groups_count": 0,
          "created_time_in_milliseconds": 1618243925800,
          "description": "",
          "is_built_in": true,
          "storage_info": {
            "size": "4.95 MB",
            "storage_used": "4.95 MB",
            "files_count": 2,
            "folders_count": 0,
            "size_in_bytes": 5189380,
            "storage_used_in_bytes": 5189380
          },
          "last_accessed_time_in_milliseconds": 1618243925800,
          "is_current_user_admin": true,
          "files_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "unread_count": 0,
          "role_id": 1,
          "shared_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "is_app_associated": false,
          "last_accessed_time": "Apr 12, 9:42 PM",
          "is_share_allowed": true,
          "created_time": "Apr 12, 9:42 PM",
          "collaborators_count": 2,
          "capabilities": {
            "can_read": true,
            "can_share": true,
            "can_delete": true,
            "can_edit": true,
            "can_manage": true,
            "can_create_files": true,
            "can_upload_files": true,
            "can_trash_files": true,
            "can_leave": true,
            "can_add_members": true,
            "can_join": false,
            "can_download_files": true
          },
          "unread_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "incomingfiles_view_pref": {
            "sort_by": "shared_time",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "is_org_team_folder": false,
          "display_attr_name": "General",
          "is_partof": true,
          "is_default": false,
          "created_by": "Zylker Creation",
          "display_html_name": "General",
          "created_by_zuid": "747938014",
          "display_url_name": "General",
          "parent_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
          "last_accessed_by": "Zylker Creation",
          "is_unread": false,
          "name": "General",
          "status": 1
        },
        "relationships": {
          "settings": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/settings",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/settings"
            }
          },
          "folders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/folders",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/folders"
            }
          },
          "incomingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/incomingfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/incomingfiles"
            }
          },
          "trashedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/trashedfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/trashedfiles"
            }
          },
          "mydrafts": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/mydrafts",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/mydrafts"
            }
          },
          "deletedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/deletedfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/deletedfiles"
            }
          },
          "permissions": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/permissions",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/permissions"
            }
          },
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/files"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/timeline"
            }
          },
          "links": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/links",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/links"
            }
          },
          "incomingfolders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/incomingfolders",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/incomingfolders"
            }
          },
          "copy": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/copy",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/copy"
            }
          },
          "unreadfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/unreadfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/unreadfiles"
            }
          },
          "entity": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/entity",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/entity"
            }
          },
          "outgoingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/outgoingfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/outgoingfiles"
            }
          },
          "appdata": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/relationships/appdata",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4/appdata"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zmacc69de0061b47ad9f09060734858fc4"
        }
      },
      {
        "id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
        "type": "teamfolders",
        "attributes": {
          "is_app_owned": false,
          "is_public_within_team": false,
          "is_pinned": false,
          "view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "groups_count": 0,
          "created_time_in_milliseconds": 1618251055482,
          "description": "",
          "is_built_in": false,
          "storage_info": {
            "size": "0 bytes",
            "storage_used": "0 bytes",
            "files_count": 0,
            "folders_count": 0,
            "size_in_bytes": 0,
            "storage_used_in_bytes": 0
          },
          "last_accessed_time_in_milliseconds": 1618251055482,
          "is_current_user_admin": true,
          "files_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "unread_count": 0,
          "role_id": 1,
          "shared_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "is_app_associated": false,
          "last_accessed_time": "Apr 12, 11:40 PM",
          "is_share_allowed": true,
          "created_time": "Apr 12, 11:40 PM",
          "collaborators_count": 1,
          "capabilities": {
            "can_read": true,
            "can_share": true,
            "can_delete": true,
            "can_edit": true,
            "can_manage": true,
            "can_create_files": true,
            "can_upload_files": true,
            "can_trash_files": true,
            "can_leave": true,
            "can_add_members": true,
            "can_join": false,
            "can_download_files": true
          },
          "unread_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "incomingfiles_view_pref": {
            "sort_by": "shared_time",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "is_org_team_folder": false,
          "display_attr_name": "Marketing Details",
          "is_partof": true,
          "is_default": false,
          "created_by": "Zylker Creation",
          "display_html_name": "Marketing Details",
          "created_by_zuid": "747938014",
          "display_url_name": "Marketing+Details",
          "parent_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
          "last_accessed_by": "Zylker Creation",
          "is_unread": false,
          "name": "Marketing Details",
          "status": 1
        },
        "relationships": {
          "settings": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/settings",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/settings"
            }
          },
          "folders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/folders",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/folders"
            }
          },
          "incomingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/incomingfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/incomingfiles"
            }
          },
          "trashedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/trashedfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/trashedfiles"
            }
          },
          "mydrafts": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/mydrafts",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/mydrafts"
            }
          },
          "deletedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/deletedfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/deletedfiles"
            }
          },
          "permissions": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/permissions",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/permissions"
            }
          },
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/files"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/timeline"
            }
          },
          "links": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/links",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/links"
            }
          },
          "incomingfolders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/incomingfolders",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/incomingfolders"
            }
          },
          "copy": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/copy",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/copy"
            }
          },
          "unreadfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/unreadfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/unreadfiles"
            }
          },
          "entity": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/entity",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/entity"
            }
          },
          "outgoingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/outgoingfiles",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/outgoingfiles"
            }
          },
          "appdata": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/relationships/appdata",
              "related": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68/appdata"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/teamfolders/ly9zm0170fb40015f4e2297a144e2b68cfa68"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full